Name:           xosview
Version:        1.17
Release:        %mkrel 1
Summary:        An X Window System utility for monitoring system resources
Group:          Monitoring
License:        GPLv2 and BSD with advertising and (GPLv2 or BSD with advertising)
URL:            http://www.pogo.org.uk/~mark/xosview/
Source0:        http://www.pogo.org.uk/~mark/xosview/releases/%{name}-%{version}.tar.xz
Source2:        %{name}16.png.bz2
Source3:        %{name}32.png.bz2
Source4:        %{name}48.png.bz2
BuildRequires:  libx11-devel

%description
The xosview utility displays a set of bar graphs which show the current
system state, including memory usage, CPU usage, system load, etc.
Xosview runs under the X Window System.

Install the xosview package if you need a graphical tool for monitoring
your system's performance.


%prep
%setup -q

%build
%make LDFLAGS="%{ldflags}" OPTFLAGS="%{optflags}"

%install
mkdir -p %{buildroot}{%{_bindir},%{_datadir},%{_mandir}/man1/}
%makeinstall_std PREFIX=%{_prefix} 

install -m 755 -d %{buildroot}%{_datadir}/icons/mini
bzcat %SOURCE2 > %{buildroot}%{_datadir}/icons/mini/%{name}.png
install -m 755 -d %{buildroot}%{_datadir}/icons
bzcat %SOURCE3 > %{buildroot}%{_datadir}/icons/%{name}.png
install -m 755 -d %{buildroot}%{_datadir}/icons/large
bzcat %SOURCE4 > %{buildroot}%{_datadir}/icons/large/%{name}.png

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Xosview
Comment=System resources monitor for X11
Exec=%{_bindir}/xosview
Icon=%{name}
Terminal=false
Type=Application
Categories=System;Monitor;X-MandrivaLinux-System-Monitoring;
EOF

%files
%{_bindir}/*
%{_mandir}/man1/*
%{_datadir}/icons/%{name}.png
%{_datadir}/icons/mini/*
%{_datadir}/icons/large/*
%{_datadir}/applications/%{name}.desktop


%changelog
* Sat Dec 05 2015 bb <bb> 1.17-1pclos2015
- update

* Tue Oct 08 2013 billybot <billybot> 1.14-1pclos2013
- import into pclos
